import { Repository } from "typeorm";
import { ProductRequest } from "../../common/productrequest/productrequest.entity";
import { CreateProductRequestDto } from "./productrequest.dto";
export declare class ProductRequestService {
    private readonly productrequestRepository;
    constructor(productrequestRepository: Repository<ProductRequest>);
    create(createProductRequestDto: CreateProductRequestDto): Promise<ProductRequest>;
    findAll(): Promise<ProductRequest[]>;
}
